Subject: Re[2]: [Nel] How to use CollisionMeshBuild (.cmb)

From: Robert Bjarnason <[email-masked]>
Date: Wed, 9 Jan 2002 01:04:38 -0800

Hi,

I've exported a .cmb file from Max from the same
Max file as I use to export the instance group that
includes stairs in the Mayan pyramid we are
reconstructing.

The process explains it self and everything seems
to work except when I load the scene no collision
happens with the stairs.  My .rbank and .gr files
both grow and this is the output log:

02/01/09 00:25:33 INF  708 main.cpp 234 : compute retriever 8_AO
02/01/09 00:25:33 INF  708 main.cpp 255 : Material 0 used
02/01/09 00:25:33 INF  708 local_retriever.cpp 665 : compute topologies
02/01/09 00:25:33 INF  708 local_retriever.cpp 709 : generated 24 topologies for character 0
02/01/09 00:25:33 INF  708 local_retriever.cpp 709 : generated 0 topologies for character 1
02/01/09 00:25:33 INF  708 local_retriever.cpp 709 : generated 0 topologies for character 2
02/01/09 00:25:33 INF  708 local_retriever.cpp 709 : generated 0 topologies for character 3
02/01/09 00:25:33 INF  708 main.cpp 195 : instance making and linking work time: 0.010
02/01/09 00:25:33 INF  708 main.cpp 325 : 0.170 seconds work
02/01/09 00:25:33 INF  708 main.cpp 329 : CVector       translation_0 = CVector(-2237.0f, 1149.0f, 0.0f);

What I see right away that is strange it that the
approximate middle of my stairs in the world is
(2240.0f, -1148.0f), looks very much like
"translation_0" except for the "-" being swapped,
maybe this is just a coincident?

When I export the .cmb file then it takes on the
name of the instance group of the shape...I guess
that is normal, right?

Another thing that might be related to this not
working is that I had problems getting the
Landscape pacs to work until I realized the
importance of having my zones translated to the
correct world coordinates based on the names.
I used the snowballs example max zones to figure
out where they were supposed to be located.

According to the Max snowballs example_zones the
size of each zone in Max is supposed to be
approx 4 meters by 4 meters, and that is
supposed to translate in the NeL 160m by 160m,
right?  I'm a little bit confused on the zone
size issue because the units seem to be different
in Max and NeL?  Also, am I correct to assume
that the zones have to be in the correct world
coordinates based on their names for pacs to
work?

Maybe this is unrelated but build_rbank does
not compile anymore because it can't find
moulinette.h

I include a low quality screenshot, still only
first pass on models and textures and we don't
have our sky-dome or visiting characters in
there, yet, only good old Gnu :)

Thanks,
Robert Bjarnason
InOrbit Entertainment, Inc.